Page MenuHomePhabricator

Global rename logs lost or never logged
Closed, ResolvedPublic

Description

Please see here. Please restore the missing log entries for all global renames performed. For some reason or they've vanished from the logs, or were never logged. This is a problem of transparency and accountability which should be fixed as soon as possible. Thank you.

Event Timeline

MarcoAurelio raised the priority of this task from to Unbreak Now!.
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added a project: GlobalRename.
MarcoAurelio added a subscriber: MarcoAurelio.
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Stryn added a subscriber: Stryn.Sep 8 2015, 6:41 PM

I'm not sure what it means, however the current status is that some or all global renames performed a year ago or so or have dissapeared from the logs or were never logged in the global rename log, where they should be. Local rename log entries for global renames were added later. At least they should be logged in the global rename log.

Krenair added a subscriber: Krenair.Sep 8 2015, 7:00 PM
Kaare added a subscriber: Kaare.Sep 8 2015, 7:19 PM
revi added a subscriber: revi.Sep 8 2015, 7:33 PM
Snowolf added a subscriber: Snowolf.EditedSep 9 2015, 2:50 PM

The behavior of this bug is quite odd. I noticed this a week or so ago when I was working on my stats tool but hadn't got around to properly reporting it.

If you look at the global rename log, entries for august and september are shown, but if you filter by records from August 2015 and older, a weird set of 5 entries from May 2015 is shown. This is the same ones, unless if the month is set to anything prior to May 2015, thenno records are shown.

Snowolf added a comment.EditedSep 9 2015, 2:51 PM

I don't think so. These are entries that appear to be properly logged but do not show up in the logs if any filtering options (ie renamer) are selected.

Teles added a subscriber: Teles.Sep 11 2015, 3:28 AM

I think these would be fixed once T93214 is fixed. Looking at https://da.wikipedia.org/w/index.php?title=Speciel:Loglister&type=renameuser&user=Kaare all those renames done in March were of local accounts to global account. Has anyone noticed this for which wasn't for a promotion to a global account?

[...] but if you filter by records from August 2015 and older, a weird set of 5 entries from May 2015 is shown. This is the same ones, unless if the month is set to anything prior to May 2015, thenno records are shown.

This looks like another bug.

This looks like another bug.

This is now T113141: Global rename log filter broken

Kaare added a comment.Sep 21 2015, 4:54 PM

I think these would be fixed once T93214 is fixed. Looking at https://da.wikipedia.org/w/index.php?title=Speciel:Loglister&type=renameuser&user=Kaare all those renames done in March were of local accounts to global account. Has anyone noticed this for which wasn't for a promotion to a global account?

I think you're on to something (at least regarding my lost renames). Probably the majority, or even all, of my renames were of requests submitted before the big rename, see e.g. resulting page moves on elwiki: https://el.wikipedia.org/wiki/%CE%95%CE%B9%CE%B4%CE%B9%CE%BA%CF%8C:%CE%A3%CF%85%CE%BD%CE%B5%CE%B9%CF%83%CF%86%CE%BF%CF%81%CE%AD%CF%82/Kaare

Base added a subscriber: Base.Sep 29 2015, 11:08 AM
Billinghurst added a subscriber: Billinghurst.EditedOct 3 2015, 2:17 AM

Are we any closer to UNBREAK? We are now four weeks on, and this is inhibiting actions. Thanks.

Steinsplitter added a comment.EditedOct 3 2015, 10:49 AM

Are we any closer to UNBREAK? We are now four weeks on, and this is inhibiting actions. Thanks.

There is yet a patch: https://gerrit.wikimedia.org/r/237169 but it hasen't been merged and executed.

I asked devs a few times on irc to to merge this, but looks like they have no time.

Users are generally trusting logs, it is not good if logs are missing,

@Jalexander @Mdennis-WMF are one of you able to shake the right tree to see if we can get this given some priority. thx

Legoktm just ran the script (or still running) and https://meta.wikimedia.org/w/index.php?title=Special:Log&type=gblrename&user=Kaare is now populated with entries from March as well. :)

Glaisher closed this task as Resolved.Oct 5 2015, 4:52 PM
Glaisher claimed this task.

It has finished running. Thanks again.

Glaisher reassigned this task from Glaisher to Legoktm.Oct 5 2015, 4:52 PM
Glaisher set Security to None.
Keegan moved this task from Review requested to Closed on the GlobalRename board.Jan 13 2016, 9:30 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptDec 15 2016, 4:19 PM